%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-jaspi-1.0-api
Version:             1.0.1
Release:             2
Summary:             JBoss Java Authentication SPI for Containers 1.0 API
License:             CDDL-1.0 or GPL-2.0-with-classpath-exception
URL:                 http://www.jboss.org
# git clone git://github.com/jboss/jboss-jaspi-api_spec.git
# cd jboss-jaspi-api_spec/ && git archive --format=tar --prefix=jboss-jaspi-1.0-api/ jboss-jaspi-api_1.0_spec-1.0.1.Final | xz > jboss-jaspi-1.0-api-1.0.1.Final.tar.xz
Source0:             %{name}-%{namedversion}.tar.xz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:) xmvn
BuildArch:           noarch
%description
The Java Authentication SPI for Containers 1.0 API classes

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-1.0-api
%pom_remove_plugin :maven-source-plugin
files='
src/main/java/javax/security/auth/message/callback/PasswordValidationCallback.java
src/main/java/javax/security/auth/message/config/AuthConfigFactory.java
src/main/java/javax/security/auth/message/config/AuthConfigProvider.java
src/main/java/javax/security/auth/message/config/ClientAuthConfig.java
src/main/java/javax/security/auth/message/config/ServerAuthConfig.java
src/main/java/javax/security/auth/message/module/ClientAuthModule.java
src/main/java/javax/security/auth/message/module/ServerAuthModule.java
'
for f in ${files}; do
  native2ascii -encoding UTF8 ${f} ${f}
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed May 11 2022 liyanan <liyanan32@h-partners.com> - 1.0.1-2
- License compliance rectification

* Fri Aug 14 2020 yaokai <yaokai13@huawei.com> - 1.0.1-1
- Package init
